Bug 73266 - Root access from "exit" command
Root access from "exit" command
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
7.3
All Linux
high Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-01 22:00 EDT by adam bowns
Modified: 2007-03-26 23:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-01 22:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description adam bowns 2002-09-01 22:00:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020901

Description of problem:
from the shell of an unprivilaged user, If I su to root then su back to any
unprivilaged user then type exit i am given root access.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.login into x as unprivilaged user
2.open the terminal emulation program by clicking the icon
3.su to root
4.enter the root password when prompted
5.su back to unprivilaged user
6.type "exit" (no quote marks)
	

Actual Results:  I have become the root user

Expected Results:  The terminal emulation program should have closed down.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-09-02 11:04:53 EDT
This is the intended behavior. 
Don't su back to the original user, use "exit" to get back to a shell without 
privileges. 

Note You need to log in before you can comment on or make changes to this bug.